#pragma once

#include "CoreMinimal.h"
#include "DogDashAimingData.generated.h"

USTRUCT(BlueprintType)
struct FDogDashAimingData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _timeStep;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _perchRadiusThreshold;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	int32 _maxSimulationStep;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _maxTimeToSimulate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _allowedWindowVaultHeightDelta;

public:
	THEK38_API FDogDashAimingData();
};

FORCEINLINE uint32 GetTypeHash(const FDogDashAimingData) { return 0; }
